Bug 364089 - Kate sessions is not sorted alphabetically which makes it difficult to find saved sessions.
Summary: Kate sessions is not sorted alphabetically which makes it difficult to find s...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: sessions (show other bugs)
Version: unspecified
Platform: Kubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL: http://kirs.co.za/katebug.jpg
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-08 08:24 UTC by Nick
Modified: 2016-06-17 17:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick 2016-06-08 08:24:04 UTC
Loading the sessions from Kate Session Launcher or from within Kate's menu it does not sort the sessions alphabetically. This makes it difficult finding and opening a saved session.

Reproducible: Always
Comment 1 Dominik Haumann 2016-06-12 21:49:23 UTC
Patch to change this: https://git.reviewboard.kde.org/r/128165/
Comment 2 Dominik Haumann 2016-06-13 07:48:08 UTC
Git commit f5b909227941419f736cfd99bd13a46eb7d3eaa0 by Dominik Haumann.
Committed on 13/06/2016 at 07:48.
Pushed by dhaumann into branch 'master'.

Sort Kate Session Menu alphabetically
REVIEW: 128165

M  +0    -6    kate/session/katesession.cpp
M  +0    -1    kate/session/katesession.h
M  +2    -1    kate/session/katesessionsaction.cpp

http://commits.kde.org/kate/f5b909227941419f736cfd99bd13a46eb7d3eaa0